function rgb = bipolar_image(im,base,thresh)
%

if (nargin<2)
    % show simple bipolar image (white background)
    r = ones(size(im));
    g = r;
    b = r;
    idx = find(im>0);
    g(idx) = 1 - im(idx);
    b(idx) = g(idx);
    idx = find(im<0);
    g(idx) = 1 + im(idx);
    r(idx) = g(idx);
    rgb = cat(3,r,g,b);
else   
    % superimpose on image
    dmax = max(max(im));
    dmin = min(min(im));
    t = thresh*max(dmax,-dmin);
    k1 = im < -t;
    k2 = im >  t;
    gray = (base.*not(k1)).*not(k2);
    rgb = cat(3,gray+im.*k2,gray,gray-im.*k1);
end

if nargout<1
    imshow(rgb);
end