%% script1

%%



%% init

clear
close all
load filelist
filename = char(files{1});
rgb = imread(filename);
imshow(rgb);

%% crop

% [rgbc rect] = imcrop();
rect = [2138 782 1396 884];
rgbc = imcrop(rgb,rect);
imshow(rgbc);
g = rgb2gray(rgbc);


%% find corners

C = corner(g);
fprintf('Number of corners: %d\n',length(C));
imshow(rgbc);
hold on
plot(C(:,1),C(:,2),'yx','MarkerSize',13);
hold off

%% expanded view
%%
% Use plot tools to enlarge a region of interest.
% 
% <<expanded.png>>
%



%% alternate method
%
% |C = corner(I,method)| detects corners in image |I| using the specified |method|.
%
%  Methods:
%    'Harris':  Harris corner detector
%    'MinimumEigenvalue': Shi & Tomasi's minimum eigenvalue method

C2 =  corner(g,'MinimumEigenvalue');
fprintf('Number of corners: %d\n',length(C2));
imshow(rgbc);
hold on
plot(C(:,1),C(:,2),'yx','MarkerSize',13);
plot(C2(:,1),C2(:,2),'go','MarkerSize',13);
hold off
